<template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated>
      <q-toolbar>
        <q-btn
          flat
          dense
          round
          icon="menu"
          aria-label="Menu"
          @click="toggleLeftDrawer"
        />

        <q-toolbar-title>
          AI-Challenge
        </q-toolbar-title>

        <auth-bar />
      </q-toolbar>
    </q-header>

    <q-drawer
      v-model="leftDrawerOpen"
      show-if-above
      bordered
    >
      <q-list>
        <q-item-label
          header
        >
          Ai-Challenge
        </q-item-label>

        <EssentialLink
          v-for="link in essentialLinks"
          :key="link.title"
          v-bind="link"
        />
      </q-list>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
import { defineComponent, ref } from 'vue'
import EssentialLink from 'components/EssentialLink.vue'
import AuthBar from 'components/AuthBar.vue'

const linksList = [
  {
    title: 'Hub',
    caption: 'Overview',
    icon: 'dashboard',
    path: 'hub'
  },
  {
    title: 'Cutter',
    caption: 'Video Cutter',
    icon: 'content_cut',
    path: 'cutter'
  },
  // {
  //   title: 'Final Stream',
  //   caption: 'Final Challenge',
  //   icon: 'workspace_premium',
  //   path: 'final'
  // },
  // {
  //   title: 'Virtual Stream',
  //   caption: 'Donkey Simulator',
  //   icon: 'toys',
  //   path: 'donkey'
  // },
]

export default defineComponent({
  name: 'MainLayout',

  components: {
    EssentialLink,
    AuthBar
  },

  setup () {
    const leftDrawerOpen = ref(false)

    return {
      essentialLinks: linksList,
      leftDrawerOpen,
      toggleLeftDrawer () {
        leftDrawerOpen.value = !leftDrawerOpen.value
      }
    }
  }
})
</script>
